Package org.gradle.api.artifacts

## Interface ComponentMetadataContext

-     public interface ComponentMetadataContext

  Provides access to component metadata from a `ComponentMetadataRule`.
  Since:
    4.9

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `getDescriptor​(Class<T> descriptorClass)` | Used to access a specific descriptor format.
    `ComponentMetadataDetails` | `getDetails()` |

- - ### Method Detail

    - #### getDescriptor

          @Nullable
          <T> T getDescriptor​(Class<T> descriptorClass)

      Used to access a specific descriptor format.
      Type Parameters:
        `T` - the descriptor type
      Parameters:
        `descriptorClass` - the descriptor class
      Returns:
        a descriptor, or `null` if there was none of the requested type.
      See Also:
        `IvyModuleDescriptor`, `PomModuleDescriptor`

    - #### getDetails

          @Nonnull
          ComponentMetadataDetails getDetails()